diff --git a/changelog b/changelog
index dc108ee..9b94266 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090926 tpd src/axiom-website/patches.html 20090926.04.tpd.patch
+20090926 tpd src/interp/intint.lisp cleanup
+20090926 tpd src/axiom-website/patches.html 20090926.03.tpd.patch
 20090926 tpd books/ps/v71releasenotes.eps updated for sept 2009
 20090926 tpd books/ps/v71sept2009.eps added
 20090926 tpd books/bookvol7.1 add sept2009 what's new page
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 150906e..e90c67e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2045,5 +2045,7 @@ src/interp/htcheck.lisp cleanup<br/>
 <a name="latest"/>
 In process, not yet released<br/><br/>
   <hr>
+<a href="patches/20090926.04.tpd.patch">20090926.04.tpd.patch</a>
+src/interp/intint.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/intint.lisp.pamphlet b/src/interp/intint.lisp.pamphlet
index c3973f8..2d0d54c 100644
--- a/src/interp/intint.lisp.pamphlet
+++ b/src/interp/intint.lisp.pamphlet
@@ -98,16 +98,20 @@
   (list '|Float|))
 
 (defun |intSetNeedToSignalSessionManager| ()
+  (declare (special |$NeedToSignalSessionManager|))
   (setq |$NeedToSignalSessionManager| T))
 
 (defun |intnplisp| (s)
+ (declare (special |$currentLine|))
  (setq |$currentLine| s)
  (|nplisp| |$currentLine|))
 
 (defun |intSetQuiet| ()
+  (declare (special |$QuietCommand|))
   (setq |$QuietCommand| T))
 
 (defun |intUnsetQuiet| ()
+  (declare (special |$QuietCommand|))
   (setq |$QuietCommand| NIL))
 
 @
